### Method

# Cogl Pipeline set_static_name

#### Declaration [src]

    void
    cogl_pipeline_set_static_name (
      CoglPipeline* pipeline,
      const char* name
    )

#### Description [src]

Set a pipeline name. It may be used for debugging or logging purposes. The string must be a static string, and string. It will not be copied.

#### Parameters

`name`

  Type: `const char*`

  A descriptive name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.